### Porting orders
In general you work with porting orders, a porting order is the resource that keeps the number(s) status and progress in one place.
Before creating port order you should check the portability of the numbers you want to port in, if a number is not portable the order will fail.

```json
POST /portabilityChecks
{
  "phoneNumbers": ["+12345678901"]
}
```
If the number is portable you can create an order like this:

```json
POST v1/projects/{projectId}/orders/portIns
    {
      "desiredPortSchedule": {
        "desiredPortDate": "2024-09-25",
      },
      "phoneNumbers": [
        {
          "phoneNumber": "+12345678901",
          "voiceConfiguration": {
            "type": "EST",
            "trunkId": "123456"
          },
          "portOutInfo": {
            "existingPortOutPin": "1234"
          },
          "endUser": {
            "name": "John Doe",
            "streetName": "Main St",
            "streetNum": "123",
            "city": "Anytown",
            "state": "NY",
            "zipCode": "12345"
          },
        }
      ]
    }
    ```

#### Lifetime of a port order

If everything is correct, the order run thru is life cycle and keep you updated on changes but hopefully nothing will change and the number will be ported in on the desired port date.
If more information is needed from you, it will be communicated to you via the order notes and error statuses on the individual numbers. And you reply with a note or update your order with required information.

It's not uncommon for a port order to be a few days or weeks in the making, so don't worry if you don't receive an update right away.

### Port-In phone numbers

When you port in phone numbers to Sinch you need to make sure the numbers are portable, you can use the portability check to make sure the numbers are portable before creating an order.
```
